<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:h="http://www.schema-library.org/input-schema-and-its-dependency-hierarchy"
                exclude-result-prefixes="#all"
                version="2.0">
    
    <!-- 
        This program simply invokes each of the
        programs and outputs the resulting single file.
        
        Roger L. Costello
    -->
    
    <xsl:function name="h:do-input-transforms" as="document-node()">
        <xsl:param name="schemas" as="document-node()" />
        
        <xsl:sequence select="h:add-id-to-top-level-items(h:add-import-xsd-datatypes-schema(h:add-idref-on-includes-imports-redefines(h:add-xsd-datatypes-schema($schemas))))" />
        
    </xsl:function>
    
</xsl:stylesheet>